<template>
  <div class="c-card resize bk-white" :id="id" style="margin-left:215px">
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2000 2000">
      <g id="Post 2">
        <g id="Design">
          <path id="Shape" :fill="color1" d="M0 1979L2000 1119L2000 2000L0 2000L0 1979Z" />
          <path
            id="Shape"
            :fill="color2"
            d="M0 1023L921 1535L0 1939L0 1023ZM2000 956L2000 1081.17L601.01 1676.98L683.25 1517.32L2000 956Z"
          />
          <path id="Shape" class="shp2" :stroke="color2" d="M0 956L798 1390L2000 876" />
        </g>
      </g>
    </svg>
    <div class="c-container-flex">
      <img src="@/assets/img/womans-notebook.png" alt width="100%" />
    </div>
    <div class="container-absolute1">
      <p class="o-text uppercase bold smaller" v-bind:style="{color:color1}">Business</p>
      <p class="o-text uppercase bold small pt-5 pb-10" v-bind:style="{color:color3}">Events</p>
    </div>
    <div class="container-absolute2">
      <p
        class="o-text smaller white"
        v-bind:style="{color:color3}"
      >Lorem Ipsum is simply dummy text of the</p>
      <div class="c-container-control-footer flex-start mt-10">
        <img src="@/assets/img/Linkedin.png" alt />
        <img src="@/assets/img/Pinterest.png" alt />
        <img src="@/assets/img/Twitter.png" alt />
        <img src="@/assets/img/Facebook.png" alt />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Mixins } from "vue-property-decorator";
import { MixinGeneral } from "@/mixins/mixinGeneral";

@Component
export default class CardTwo extends Mixins(MixinGeneral) {
  @Prop({ type: String, required: true }) id: any;
  @Prop({ type: String, default: "#00488c" }) color1: any;
  @Prop({ type: String, default: "#ffc031" }) color2: any;
  @Prop({ type: String, default: "#ffffff" }) color3: any;
  @Prop({ type: String, default: "250px" }) height: any;
  @Prop({ type: String, default: "250px" }) width: any;
  @Prop({ type: String, default: "0px" }) marginRight: any;
  @Prop({ type: String, default: "0px" }) marginBottom: any;

  mounted() {
    const Gradient = document.querySelector(`#${this.id}`) as HTMLElement;
    this.setProps(Gradient);
    setTimeout(() => {
      Gradient.style.opacity = "1";
      Gradient.style.marginLeft = "0px";
      Gradient.style.marginRight = this.marginRight;
    }, 10);

    const imagens = document.querySelectorAll("div.justify > img.justify");
    imagens.forEach((el: any) => {
      el.style.border = "2px solid " + this.color2;
    });
  }
}
</script>

<style scoped lang="scss">
.shp2 {
  fill: none;
  stroke-width: 30;
}
.container-absolute1 {
  position: absolute;
  bottom: 40px;
  z-index: 11;
  left: 10px;
}
.container-absolute2 {
  position: absolute;
  bottom: 10px;
  width: 45%;
  right: 0;
  text-align: left;
}
</style>